"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _exportNames = {};
exports.TestBackend = void 0;
var _testBackend = _interopRequireWildcard(require("./TestBackend"));
Object.keys(_testBackend).forEach(function(key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in exports && exports[key] === _testBackend[key]) return;
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _testBackend[key];
        }
    });
});
var _types = _interopRequireWildcard(require("./types"));
Object.keys(_types).forEach(function(key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in exports && exports[key] === _types[key]) return;
    Object.defineProperty(exports, key, {
        enumerable: true,
        get: function() {
            return _types[key];
        }
    });
});
function _interopRequireWildcard(obj) {
    if (obj && obj.__esModule) {
        return obj;
    } else {
        var newObj = {};
        if (obj != null) {
            for(var key in obj){
                if (Object.prototype.hasOwnProperty.call(obj, key)) {
                    var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {};
                    if (desc.get || desc.set) {
                        Object.defineProperty(newObj, key, desc);
                    } else {
                        newObj[key] = obj[key];
                    }
                }
            }
        }
        newObj.default = obj;
        return newObj;
    }
}
const TestBackend = function createBackend(manager, context = {}, options = {}) {
    const result = new _testBackend.TestBackendImpl(manager, context);
    if (options === null || options === void 0 ? void 0 : options.onCreate) {
        options.onCreate(result);
    }
    return result;
};
exports.TestBackend = TestBackend;

//# sourceMappingURL=index.js.map